---

- name: FONT | JetBrainsMono presence
  when: inventory_hostname in groups.station
  ansible.builtin.find:
    path: "/usr/local/share/fonts/"
    patterns: "JetBrainsMono*"
    recurse: yes
  register: font_presence

- name: FONT | install JetBrainsMono font
  when: (inventory_hostname in groups.station) and
        (font_presence.matched < 50)
  ansible.builtin.unarchive:
    dest: "/usr/local/share/"
    remote_src: yes
    src: https://download.jetbrains.com/fonts/JetBrainsMono-2.242.zip
